Skip to main content
`Ctrl`+`K`

# CoordinateSearchResult

class astropy.coordinates.CoordinateSearchResult(indices_to_first_set, indices_to_second_set, angular_separation, physical_separation)

  Bases: `NamedTuple`

  Results of searching close pairs between two sets of sources.

  See also

  `astropy.coordinates.search_around_3d`
  `astropy.coordinates.search_around_sky`
  `SkyCoord.search_around_3d`
  `SkyCoord.search_around_sky`

  Create new instance of CoordinateSearchResult(indices_to_first_set, indices_to_second_set, angular_separation, physical_separation)

  Attributes Summary

  `angular_separation` | The angular separations between the paired sources.
  `indices_to_first_set` | Indices of the elements of the found pairs in the first set of sources.
  `indices_to_second_set` | Indices of the elements of the found pairs in the second set of sources.
  `physical_separation` | The physical separations between the paired sources.

  Attributes Documentation

  angular_separation

    The angular separations between the paired sources.

  indices_to_first_set

    Indices of the elements of the found pairs in the first set of sources.

  indices_to_second_set

    Indices of the elements of the found pairs in the second set of sources.

  physical_separation

    The physical separations between the paired sources. If either of the source sets lack distances then the physical separations are computed assuming all coordinates are points on the unit sphere.